%define         _state          stable
%define         orgname         smokegen
%define         qtver           4.8.0

Summary:	smokegen - A SMOKE library
Summary(pl.UTF-8):	smokegen - Biblioteka SMOKE
Name:		kde4-smokegen
Version:	4.14.3
Release:	4
License:	GPL v2+
Group:		X11/Libraries
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	2689a2a1a30f48112eb181960ecee158
Patch0:		type-sizes.patch
BuildRequires:	kde4-kdelibs-devel
Obsoletes:	kde4-kdebindings-smoke-qt < 4.6.99
Obsoletes:	smokegen <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SMOKE library (Scripting Meta Object Kompiler Engine).

%description -l pl.UTF-8
Biblioteka SMOKE (Scripting Meta Object Kompiler Engine - silnik
kompilatora metaobiektów skryptowych).

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kde4-kdebindings-smoke-devel < 4.6.99
Obsoletes:	smokegen-devel <= 4.8.0

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%prep
%setup -q -n %{orgname}-%{version}
%patch0 -p1

%build
install -d build
cd build
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/smokeapi
%attr(755,root,root) %{_bindir}/smokegen
%attr(755,root,root) %{_libdir}/libcppparser.so
%attr(755,root,root) %{_libdir}/libsmokebase.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokebase.so.?
%dir %{_libdir}/smokegen
%attr(755,root,root) %{_libdir}/smokegen/*.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/smoke.h
%{_includedir}/smokegen
%{_datadir}/smoke
%{_datadir}/smokegen
%attr(755,root,root) %{_libdir}/libsmokebase.so
%changelog
* Sun Nov 22 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-smokegen.git;a=log;h=master

* Sun Nov 22 2015 Jan Rękorajski <baggins@pld-linux.org> 3bf294a
- release 4 (by relup.sh)

* Mon Apr 06 2015 Jan Rękorajski <baggins@pld-linux.org> 3ff44df
- fix typedef resolution on non-plain 32bit archs
- rel 3

* Sat Apr 04 2015 Jan Rękorajski <baggins@pld-linux.org> 94ede3d
- x32 rebuild
- release 2 (by relup.sh)

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 834e4f7
- updated to 4.14.3 (by update-kde4.sh)

* Fri Oct 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d93157b
- up to 4.14.2

* Sat Aug 23 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 77c6f65
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4ebf48d
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> e3c8ec3
- updated to 4.13.1 (by update-kde4.sh)

* Sun May 11 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 70861de
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6be2d16
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> be59d22
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> ce28512
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 42c0a06
- updated to 4.12.1 (by update-kde4.sh)

* Fri Dec 27 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 7f4eedc
- up to 4.12.0

* Wed Jul 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f3a50f8
- up to 4.10.5

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 2b36263
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 417e155
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> b911d02
- updated to 4.9.4

* Sun Dec 02 2012 Paweł Sikora <pawel.sikora@agmk.net> a119341
- updated to 4.9.3.

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> 4bf7a34
- updated to 4.9.1.

